Bug 1465040 - (CVE-2017-9832) CVE-2017-9832 libmtp: Integer overflow in ptp_unpack_OPL function
CVE-2017-9832 libmtp: Integer overflow in ptp_unpack_OPL function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170316,reported=2...
: Security
Depends On: 1465042 1465043 1465044 1465045 1466791
Blocks: 1465052
  Show dependency treegraph
 
Reported: 2017-06-26 09:13 EDT by Adam Mariš
Modified: 2017-07-04 07:36 EDT (History)
10 users (show)

See Also:
Fixed In Version: libmtp 1.1.13, libgphoto2 2.5.14
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-30 11:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-26 09:13:41 EDT
An integer overflow vulnerability in ptp-pack.c (ptp_unpack_OPL function) of libmtp (version 1.1.12 and below) allows attackers to cause a denial of service (out-of-bounds memory access) or maybe remote code execution by inserting a mobile device into a personal computer through a USB cable.

Upstream bug report:

https://sourceforge.net/p/libmtp/mailman/message/35727918/
Comment 1 Adam Mariš 2017-06-26 09:17:45 EDT
Created libmtp tracking bugs for this issue:

Affects: fedora-all [bug 1465043]


Created libmtp11 tracking bugs for this issue:

Affects: epel-6 [bug 1465042]
Comment 2 Adam Mariš 2017-06-26 09:19:46 EDT
Created libmtp tracking bugs for this issue:

Affects: fedora-all [bug 1465044]


Created libmtp11 tracking bugs for this issue:

Affects: epel-6 [bug 1465045]
Comment 3 Stefan Cornelius 2017-06-30 09:14:33 EDT
Created libgphoto2 tracking bugs for this issue:

Affects: fedora-all [bug 1466791]
Comment 4 Robert Scheck 2017-06-30 09:16:23 EDT
Stefan, can you please explain how the libmtp flaw is related to the newly
added/mentioned libgphoto2 tracker bug? Does libgphoto2 bundle libmtp?
Comment 5 Stefan Cornelius 2017-06-30 09:36:27 EDT
(In reply to Robert Scheck from comment #4)
> Stefan, can you please explain how the libmtp flaw is related to the newly
> added/mentioned libgphoto2 tracker bug? Does libgphoto2 bundle libmtp?

Hi Robert,

I've not tested this, so I can't 100% claim that libgphoto2 is also affected. However, I've noticed the following commits in libgphoto2 and at least one of them seems related enough to handle them as a part of this:

https://github.com/gphoto/libgphoto2/commit/203df81b9d97e820411e1eb94ae08139af73bbd0
https://github.com/gphoto/libgphoto2/commit/e25b3983489cd290edef693e78c0af694d3cd010

Let me know if you have any further questions.
Comment 6 Stefan Cornelius 2017-06-30 11:28:46 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.